Update
curl --request PUT \
--url https://{appId}.api-{region}.cometchat.io/v3/apikeys/{apiKey} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/apikeys/{apiKey}"
payload = { "name": "<string>" }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/apikeys/{apiKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"apiKey": "f1915e328e249ffaaafd97fb46a57ba55d233fbf",
"name": "John's apiKey",
"scope": "authOnly",
"createdAt": 1625206799
}
}API Keys
Update
Updates an API key
PUT
/
apikeys
/
{apiKey}
Update
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Path Parameters
An apikey to update.
Body
application/json
Response
200 - application/json
Updated API Key
Was this page helpful?
⌘I